Instantiates a ReflectionEnumUnitCase object

- « ReflectionEnumUnitCase

- ReflectionEnumUnitCase::getEnum »

- PHP Manual
- ReflectionEnumUnitCase
- Instantiates a ReflectionEnumUnitCase object

# ReflectionEnumUnitCase::__construct

(PHP 8 >= 8.1.0)

ReflectionEnumUnitCase::__construct — Instantiates a ReflectionEnumUnitCase object

### Description

public ReflectionEnumUnitCase::__construct(object|string `$class`, string `$constant`)

### Parameters

`class`

  An enum instance or a name.

`constant`

  An enum constant name.